Bug 502856 - Review Request: pdfchain - A GUI for pdftk
Review Request: pdfchain - A GUI for pdftk
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-27 10:18 EDT by Susi Lehtola
Modified: 2009-06-15 21:52 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.99-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 21:38:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2009-05-27 10:18:39 EDT
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/pdfchain.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/pdfchain-0.99-2.fc11.src.rpm

Description:
PDF Chain is a GUI for pdftk written with gtkmm. You can merge some pdf files
to one pdf file or split. There are also some options and tools.

rpmlint output is clean.
Comment 1 Jochen Schmitt 2009-05-27 13:58:40 EDT
Good:
+ Basename of the SPEC file matches with package name
+ Package name fullfill with naming guidelines
+ URL tag shows on proper project homepage
+ Package contains most recent release of the application
+ Could download upstream sources via spectool -g
+ Package sources matches with upstream
(md5sum: 0ede5640b1c6f0f2f513e992b60a261f)
+ Package contains valid License tag
+ License tags excalim GPLV3+ as an valid OSS license
+ Package contains verbatin copy of the license text
+ Consistently rpm macro usage
+ Package doesn't contains subpackages
+ Proper Buildroot defintion
+ Buildroot will be cleaned on beginning of %clean and %install
+ RPM_OPT_FLAGS will be honour on build step
+ Build step support smp enabled make
+ Local build works fine
+ No complaints from rpmlint for source rpm
+ No complaints from rpmlint for binary rpm
+ No complaints from rpmlint for debuginfo rpm
+ Debuginfo package contains sources
+ Local install/uninstall works fine
+ Short test of the application looks fine.
+ Files has proper files permissions
+ All package files are owned by the package
+ %files stanza contains no duplicated entries
+ %doc stanzs is small, so we don't need an extra subpackage
+  Package contains proper Changelog


Bad:
- Source header indicates GPLv3 as license instead of GPLv3+
  Please talk with upstream for clarification
- Scratch build failed on koji
  Please see: http://koji.fedoraproject.org/koji/taskinfo?taskID=1380090
Comment 2 Susi Lehtola 2009-05-27 14:39:48 EDT
(In reply to comment #1)
> Bad:
> - Source header indicates GPLv3 as license instead of GPLv3+
>   Please talk with upstream for clarification

Good catch. The license tag is from Leigh's spec. Should've checked it myself. Send an email upstream.

> - Scratch build failed on koji
>   Please see: http://koji.fedoraproject.org/koji/taskinfo?taskID=1380090  

Duh, should've checked this too :)


OK, missing BR and license have been fixed. I set the license to GPLv3 as it is more restrictive than GPLv3+, I can change it when upstream replies.

http://theory.physics.helsinki.fi/~jzlehtol/rpms/pdfchain.spec
http://theory.physics.helsinki.fi/~jzlehtol/rpms/pdfchain-0.99-3.fc11.src.rpm
Comment 3 Jochen Schmitt 2009-05-27 15:02:30 EDT
Ok, now the koji scratch build works fine, so I can APPROVE your package.
Comment 4 Susi Lehtola 2009-05-27 15:08:15 EDT
Thanks for the speedy review!

New Package CVS Request
=======================
Package Name: pdfchain
Short Description: A GUI for pdftk
Owners: jussilehtola
Branches: F-10 F-11
InitialCC:
Comment 5 Jason Tibbitts 2009-05-27 15:57:42 EDT
CVS done.
Comment 6 Fedora Update System 2009-05-27 16:39:35 EDT
pdfchain-0.99-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/pdfchain-0.99-3.fc10
Comment 7 Fedora Update System 2009-05-27 16:40:17 EDT
pdfchain-0.99-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pdfchain-0.99-3.fc11
Comment 8 Fedora Update System 2009-05-28 04:04:18 EDT
pdfchain-0.99-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pdfchain'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5576
Comment 9 Fedora Update System 2009-05-28 04:06:02 EDT
pdfchain-0.99-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pdfchain'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5591
Comment 10 Fedora Update System 2009-06-15 21:38:31 EDT
pdfchain-0.99-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-06-15 21:52:27 EDT
pdfchain-0.99-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.